# Situm Asset Tracking UI Library

This library helps you track your assets easily.

# Description

This is a library that contains visual components to interact with Situm Asset Tracking library. Its purpose is to provide easy to use components that make it fast integrating Situm Asset Tracking Sdk.
Main functionalities of the library are:

1. **Discover and associate assets with a smartphone**

You will be able to associate assets with an smartphone so you can track their location and never loose an asset again.

# Installation

In order to integrate this library in your Android project you need to follow these steps

1. **Configure our dependency repository in your Android project**

Add Situm's dependency repository to your project level build.gradle, specifically in the repositories section of allprojects.

    maven { url "https://repo.situm.es/artifactory/libs-release-local" }


2. **Configure the SDK in your application**

Add Asset Tracking UI library dependency into the dependencies section of the app build.gradle. It’s important to add the transitive = true property to download its dependencies.

    implementation(group: 'es.situm', name: 'assettrackinguisdk', version: '0.0.3-alpha', ext: 'aar') {
        transitive = true
    }

3. **Configure Situm SDK in you application**

The Asset Tracking library depends heavily on Situm Sdk. A detailed description on how integrate it and setup it up in your project can be seen at <http://developers.situm.es/pages/mobile/android/quick_start_guide.html>. 

# How to use it

The entry point in order to access the whole functionality is AssetTrackingUISdk. 

1. **How to obtain a Fragment**
    
        val configuration: es.situm.assettrackinguisdk.Configuration = es.situm.assettrackinguisdk.Configuration(true)

        val uiDelegate: AssetTrackingUIDelegate = object : AssetTrackingUIDelegate {
            override fun onCancel() {
                Log.d(TAG, "Cancel button pressed")
            }

            override fun onPairedAsset(asset: Asset) {
                Log.d(TAG, "Paired asset detected")
            }
        }
    
        var assetTrackerFragment: AssetTrackingUIInterface = AssetTrackingUISdk.newAssetTrackerFragment(configuration, uiDelegate)
    
2. **How to show the interface**

    assetTrackerFragment.displayOnView(this, R.id.container_view)

3. **Remove fragment UI from interface**

    assetTrackerFragment.removeFromView()

# License

This is a propietary software and all rights belong to Situm Technologies S.L.


